Subject: Re: Thyroid Gland

From: [email-masked] ()
Date: 5 Sep 1995 12:25:50 GMT

In article <[email-masked]> [email-masked] writes:
>
>Are there any herbs that would help the thyroid gland funtion properly.
>I have a weak thyroid?
>
>
>--
>[*] Modem: (818) 886-0872       KBBS LOS ANGELES!     ISDN:(818) 727-9218 [*]
>[*] http://kbbs.kbbsnet.com    Telnet: 204.96.25.7   Email: [email-masked] [*]
>
>
>

They're not herbs, but have you thought of eating sea vegetables
like nori and kombu, which have high levels of idodine?  They can be 
gotten in Asian grocery stores.

margaret

-- 
[email-masked]